| Bsoft 2.0.5 Bernard's software package

Functions
bshow_xtal.tcl File Reference

Procedures to manage crystallographic images. More...

Go to the source code of this file.

## Functions
| Crystallography
| Dialog box to manage crystallographic information. More...
| setSpotIndices
| Dialog box to set Miller indices for the selected structure factor. More...
| setSpotIndices_and_DestroyWindow w
| Sets the indices for a structure factor. More...
| calcUnitCellVectors
| Calculates the unit cell vectors from the current structure factors. More...
| spotSelect x y
| Select a structure factor. More...
| spotCreateSelect x y
| Creates or selects a structure factor. More...
| spotMove x y
| Moves the selected structure factor. More...
| spotDisplayLocation loc
| spotDraw h k l
| Draws a structure factor on the canvas. More...
| spotsDrawAll
| Draws all structure factors on the canvas. More...
| spotDelete x y
| Deletes the selected structure factor on the canvas. More...
| spotsDeleteAll
| Deletes all structure factors. More...
| spotGenerate
| Generates structure factors from unit cell vectors. More...
| spotGenerate_and_DestroyWindow w
| Changes the data type of an image. More...
| spotMask
| Masks structure factors. More...
| updateSpotParam
| Updates structure factor parameters from the micrograph parameters in memory. More...

## Detailed Description

Procedures to manage crystallographic images.

Author
  Bernard Heymann

Date
  Created: 20061104
  Modified: 20181030

Definition in file bshow_xtal.tcl.

## Function Documentation

## ◆ calcUnitCellVectors()

calcUnitCellVectors

Calculates the unit cell vectors from the current structure factors.

Definition at line 239 of file bshow_xtal.tcl.

## ◆ Crystallography()

Crystallography

Dialog box to manage crystallographic information.

Definition at line 20 of file bshow_xtal.tcl.

## ◆ setSpotIndices()

setSpotIndices

Dialog box to set Miller indices for the selected structure factor.

Definition at line 164 of file bshow_xtal.tcl.

## ◆ setSpotIndices_and_DestroyWindow()

setSpotIndices_and_DestroyWindow |  |  | w

Sets the indices for a structure factor.

Parameters

  w | the window to destroy.

Definition at line 214 of file bshow_xtal.tcl.

## ◆ spotCreateSelect()

spotCreateSelect |  |  | x y

Creates or selects a structure factor.

Parameters

  x |
  y | Structure factor position in canvas coordinates.

Definition at line 289 of file bshow_xtal.tcl.

## ◆ spotDelete()

spotDelete |  |  | x y

Deletes the selected structure factor on the canvas.

Parameters

  x |
  y | SF particle position in window coordinates.

Definition at line 436 of file bshow_xtal.tcl.

## ◆ spotDisplayLocation()

spotDisplayLocation |  |  | loc

Definition at line 350 of file bshow_xtal.tcl.

## ◆ spotDraw()

spotDraw |  |  | h k l

Draws a structure factor on the canvas.

Parameters

  h | SF index.
  k | SF index.
  l | SF index.

Definition at line 375 of file bshow_xtal.tcl.

## ◆ spotGenerate()

spotGenerate

Generates structure factors from unit cell vectors.

Definition at line 468 of file bshow_xtal.tcl.

## ◆ spotGenerate_and_DestroyWindow()

spotGenerate_and_DestroyWindow |  |  | w

Changes the data type of an image.

Parameters

  w | the window to destroy.

Definition at line 496 of file bshow_xtal.tcl.

## ◆ spotMask()

spotMask

Masks structure factors.

Definition at line 515 of file bshow_xtal.tcl.

## ◆ spotMove()

spotMove |  |  | x y

Moves the selected structure factor.

Parameters

  x |
  y | SF position in canvas coordinates.

Definition at line 326 of file bshow_xtal.tcl.

## ◆ spotsDeleteAll()

spotsDeleteAll

Deletes all structure factors.

Definition at line 454 of file bshow_xtal.tcl.

## ◆ spotsDrawAll()

spotsDrawAll

Draws all structure factors on the canvas.

Definition at line 413 of file bshow_xtal.tcl.

## ◆ spotSelect()

spotSelect |  |  | x y

Select a structure factor.

Parameters

  x |
  y | Structure factor position in canvas coordinates.

Definition at line 255 of file bshow_xtal.tcl.

## ◆ updateSpotParam()

updateSpotParam

Updates structure factor parameters from the micrograph parameters in memory.

Definition at line 527 of file bshow_xtal.tcl.